<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Subscription extends Model
{
    protected $table = 'subscriptions';
    protected $fillable = ['type', 'mobile', 'username', 'amount','image', 'bank_id', 'date', 'full_name', 'details','user_id'];

    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/subscriptions/';
        $filename = time().'.'.$file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function bank()
    {
        return $this->belongsTo(Banks::class, 'bank_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
}
