@extends('admin.layout.master')
@section('title', 'الاعدادات')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">الاعدادات</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">الاعدادات</h4>
                @include('admin.layout.message')

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('settings_update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم الموقع باللغة العربية</label>
                                <input type="text" class="form-control"
                                       value="{{$row->site_name ? $row->site_name['ar'] : ''}}" required
                                       name="site_name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="اسم الموقع باللغة العربية">
                                @if ($errors->has('site_name_ar'))
                                    <small class="text-danger">{{ $errors->first('site_name_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم الموقع باللغة الإنجليزية</label>
                                <input type="text" class="form-control"
                                       value="{{$row->site_name ? $row->site_name['en'] : ''}}" required
                                       name="site_name_en"
                                       id="exampleInputEmail1"
                                       placeholder="اسم الموقع باللغة الإنجليزية">
                                @if ($errors->has('site_name_en'))
                                    <small class="text-danger">{{ $errors->first('site_name_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان باللغة العربية</label>
                                <input type="text" class="form-control"
                                       value="{{$row->address ? $row->address['ar'] : ''}}"
                                       name="address_ar"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان باللغة العربية">
                                @if ($errors->has('address_ar'))
                                    <small class="text-danger">{{ $errors->first('address_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">العنوان باللغة الإنجليزية</label>
                                <input type="text" class="form-control"
                                       value="{{$row->address ? $row->address['en'] : ''}}"
                                       name="address_en"
                                       id="exampleInputEmail1"
                                       placeholder="العنوان باللغة الإنجليزية">
                                @if ($errors->has('address_en'))
                                    <small class="text-danger">{{ $errors->first('address_en') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">لينك تطبيق الايفون</label>
                                <input type="text" class="form-control" value="{{$row->ios_link ? $row->ios_link : ''}}"
                                       name="ios_link"
                                       id="exampleInputEmail1"
                                       placeholder="لينك تطبيق الايفون">
                                @if ($errors->has('ios_link'))
                                    <small class="text-danger">{{ $errors->first('ios_link') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">لينك تطبيق الاندرويد</label>
                                <input type="text" class="form-control"
                                       value="{{$row->android_link ? $row->android_link : ''}}"
                                       name="android_link"
                                       id="exampleInputEmail1"
                                       placeholder="لينك تطبيق الاندرويد">
                                @if ($errors->has('android_link'))
                                    <small class="text-danger">{{ $errors->first('android_link') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">العمولة</label>
                                <input type="text" min="0" class="form-control"
                                       value="{{$row->commission ? $row->commission : ''}}"
                                       required
                                       name="commission"
                                       id="exampleInputEmail1"
                                       placeholder="العمولة">
                                @if ($errors->has('commission'))
                                    <small class="text-danger">{{ $errors->first('commission') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">رقم السجل التجارى</label>
                                <input type="number" min="0" class="form-control"
                                       value="{{$row->commercial_record ? $row->commercial_record : ''}}"

                                       name="commercial_record"
                                       id="exampleInputEmail1"
                                       placeholder="رقم السجل التجارى">
                                @if ($errors->has('commercial_record'))
                                    <small class="text-danger">{{ $errors->first('commercial_record') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الرقم الضريبى</label>
                                <input type="number" min="0" class="form-control"
                                       value="{{$row->tax_number ? $row->tax_number : ''}}"
                                       name="tax_number"
                                       id="exampleInputEmail1"
                                       placeholder="الرقم الضريبى">
                                @if ($errors->has('tax_number'))
                                    <small class="text-danger">{{ $errors->first('tax_number') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">مبلغ الإشتراك السنوى</label>
                                <input type="number" min="0" class="form-control"
                                       value="{{$row->year_subscription ? $row->year_subscription : ''}}"
                                       required
                                       name="year_subscription"
                                       id="exampleInputEmail1"
                                       placeholder="مبلغ الإشتراك السنوى">
                                @if ($errors->has('year_subscription'))
                                    <small class="text-danger">{{ $errors->first('year_subscription') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleSelect1">اختر التصنيف الذى يظهر فى الموقع والتطبيق </label>
                                <select name="category_id" class="form-control" id="exampleSelect1">
                                    <option value="null">اختر التصنيف</option>
                                    @foreach(\App\Models\Category::where('status','active')->where('parent_id','=', null)->get() as $category)
                                        <option
                                            value="{{$category->id}}"
                                            @if($row->category_id == $category->id) selected @endif>{{$category->name['ar']}}</option>
                                    @endforeach
                                </select>
                                @if ($errors->has('category_id'))
                                    <small class="text-danger">{{ $errors->first('category_id') }}</small>
                                @endif
                            </div>
                            <div class="form-group {{ $errors->has('discount_system_ar') ? ' has-error' : '' }}">
                                <label for="privialges">نظام الخصم بالعربية</label>
                                <textarea class="form-control tinymce"
                                          name="discount_system_ar" cols="50"
                                          rows="10">{{$row->discount_system['ar'] ? $row->discount_system['ar'] : '' }}</textarea>
                                @if ($errors->has('discount_system_ar'))
                                    <small class="text-danger">{{ $errors->first('discount_system_ar') }}</small>
                                @endif
                            </div>
                            <div class="form-group {{ $errors->has('discount_system_en') ? ' has-error' : '' }}">
                                <label for="privialges">نظام الخصم بالانجليزية</label>
                                <textarea class="form-control tinymce"
                                          name="discount_system_en" cols="50"
                                          rows="10">{{$row->discount_system['en'] ? $row->discount_system['en'] : '' }}</textarea>
                                @if ($errors->has('discount_system_en'))
                                    <small class="text-danger">{{ $errors->first('discount_system_en') }}</small>
                                @endif
                            </div>

                            <div class="form-group {{ $errors->has('commission_system_ar') ? ' has-error' : '' }}">
                                <label for="privialges">نظام العمولة بالعربية</label>
                                <textarea class="form-control tinymce"
                                          name="commission_system_ar" cols="50"
                                          rows="10">{{$row->commission_system['ar'] ? $row->commission_system['ar'] : '' }}</textarea>
                                @if ($errors->has('commission_system_ar'))
                                    <small class="text-danger">{{ $errors->first('commission_system_ar') }}</small>
                                @endif
                            </div>

                            <div class="form-group {{ $errors->has('commission_system_en') ? ' has-error' : '' }}">
                                <label for="privialges">نظام العمولة بالانجليزية</label>
                                <textarea class="form-control tinymce"
                                          name="commission_system_en" cols="50"
                                          rows="10">{{$row->commission_system['en'] ? $row->commission_system['en'] : '' }}</textarea>
                                @if ($errors->has('commission_system_en'))
                                    <small class="text-danger">{{ $errors->first('commission_system_en') }}</small>
                                @endif
                            </div>

                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">
                                        <h4 class="header-title mb-4">صورة الموقع</h4>
                                        <input type="file" name="site_logo" class="dropify"
                                               data-default-file="{{$row->site_logo ? $row->site_logo : ''}}"
                                               data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                                @if ($errors->has('site_logo'))
                                    <small class="text-danger">{{ $errors->first('site_logo') }}</small>
                                @endif
                            </div>

                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop
