@extends('admin.layout.master')
@section('title', 'تعديل التحويل')
@section('content')
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تعديل التحويل</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تأكيد التحويل</h4>
                <div class="row">
                    <div class="col-sm-12">
                        <div class="card-box">

                            <h4 class="header-title mb-4">صورة التحويل البنكى</h4>

                            <input type="file" name="image" disabled  class="dropify"
                                   data-default-file="{{asset('images/transfers/'.$row->image)}}" data-height="300"/>
                        </div>
                    </div><!-- end col -->
                </div>
                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="{{route('transfers.update',$row->id)}}"
                              enctype="multipart/form-data">
                            @csrf
                            @method('PATCH')

                            <div class="form-group">
                                <label for="exampleSelect1">حالة الدفع</label>
                                <select name="approved" class="form-control" id="exampleSelect1">
                                    <option value="true" @if($row->approved == 'true') selected @endif>تم التحويل
                                    </option>
                                    <option value="false" @if($row->approved == 'false') selected @endif>
                                        لم يتم التحويل
                                    </option>
                                </select>
                                @if ($errors->has('approved'))
                                    <small class="text-danger">{{ $errors->first('approved') }}</small>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="exampleSelect1">المستخدم</label>

                                @if($row->user_id)
                                    <input type="text" disabled class="form-control"
                                           value="{{$row->user->name ? $row->user->name : $row->user->email}}">

                                @else
                                    <small>هذا التحويل لم يتم ارساله ليس لة مستخدم محدد</small>
                                    <select name="user_id" class="js-example-basic-single form-control" id="exampleSelect1">
                                        @foreach(\App\User::whereType('user')->get() as $user)
                                            <option value="{{$user->id}}"> {{$user->name ? $user->name : $user->email}}</option>
                                        @endforeach
                                    </select>
                                    @if ($errors->has('approved'))
                                        <small class="text-danger">{{ $errors->first('approved') }}</small>
                                    @endif

                                @endif


                            </div>


                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



@stop

@section('scripts')

<script>
    $(document).ready(function() {
        $('.js-example-basic-single').select2();
    });
</script>
    @stop
