<?php $__env->startSection('title', trans('data.product_detail')); ?>
<?php $__env->startSection('contents'); ?>
    <!-- start page title -->
    <section class="page-title">
        <div class="container">
            <h3 class="main-title"><?php echo e(trans('data.product_detail')); ?></h3>
        </div>
    </section>
    <!-- end page title -->

    <!--start Modal message-modal-->
    <div class="modal fade message-modal" id="message-modal">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">

                <div class="modal-body">
                    <h4 class="modal-title main-color center"><?php echo app('translator')->get('data.header_send'); ?></h4>
                    <form action="<?php echo e(route('send_out_message')); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo e(csrf_field()); ?>

                        <div class="form-group">
                            <textarea required name="message" class="form-control"
                                      placeholder="<?php echo app('translator')->get('data.write_message'); ?>"><?php echo e(old('message')); ?></textarea>
                            <input type="hidden" name="user_id" value="<?php echo e($row->user->id); ?>">

                        </div>
                        <div class="btn-block">
                            <button type="submit" class="btn btn-main btn-hover"><?php echo app('translator')->get('data.send_sms'); ?></button>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
    <!--end Modal message-modal-->



    <!-- start brands  -->
    <section class="item-details">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-md-8">
                    <div class="all-item-slider">
                        <div class="slider item-for">
                            <?php $__currentLoopData = $row->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="item">
                                    <img src="<?php echo e($image->image); ?>" alt="item img"/>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                        <div class="slider item-nav">
                            <?php $__currentLoopData = $row->images; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $image): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="item">
                                    <img src="<?php echo e($image->image); ?>" alt="item img"/>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>

                    <div class="right-grid all-detials grey-bg">

                        <div class="row item-text">
                            <h5 class="col-12 item-name wow fadeInDown">
                                <?php echo e($row->title); ?>

                            </h5>
                            <div class="col-12 item-owner">
                                <p class="owner">
                                    <span class="icon"><i class="fas fa-user"></i></span>
                                    <a href="<?php echo e(route('user_profile',$row->user->mobile)); ?>">

                                        <?php echo e($row->user->name ? $row->user->name : $row->user->email); ?>

                                    </a>
                                </p>
                                <p class="time">
                                    <span class="icon">
                                        <i class="fas fa-clock"></i>
                                    </span>
                                    <?php echo e(\Carbon\Carbon::parse($row->created_at)->diffForHumans()); ?>

                                </p>
                                <?php if(\Auth::check() && \Auth::user()->id == $row->user_id): ?>
                                    <p class="time" id="refresh_product" style="cursor: pointer">
                                    <span class="icon">
                                        <i class="fas fa-retweet"></i>
                                    </span>
                                        <?php echo e(\Lang::get('data.refresh_product')); ?>

                                    </p>
                                <?php endif; ?>
                            </div>
                            <p class="col-12 wow fadeInUp" style="margin-bottom: 15px">
                                <?php echo e($row->detail); ?>

                            </p>
                            <?php if($row->category->car_option == 'true'): ?>

                                <div class="col-md-4" style="margin-bottom: 15px">
                                    <span style="font-weight: 600"><?php echo app('translator')->get('data.buy_type'); ?></span>
                                    <span><?php echo e($row->ad_type == 'buy' ?  Lang::get('data.buy') : Lang::get('data.waiver')); ?></span>
                                </div>
                                <div class="col-md-4" style="margin-bottom: 15px">
                                    <span style="font-weight: 600"><?php echo app('translator')->get('data.year'); ?></span>
                                    <span><?php echo e($row->year); ?></span>
                                </div>
                                <div class="col-md-4" style="margin-bottom: 15px">
                                    <span style="font-weight: 600"><?php echo app('translator')->get('data.car_status'); ?></span>
                                    <span>
                                    <?php if($row->car_status == 'used'): ?>
                                            <?php echo app('translator')->get('data.used'); ?>
                                        <?php elseif($row->car_status == 'new'): ?>
                                            <?php echo app('translator')->get('data.new'); ?>
                                        <?php else: ?>
                                            <?php echo app('translator')->get('data.accident'); ?>
                                        <?php endif; ?>
                                </span>
                                </div>
                                <div class="col-md-4" style="margin-bottom: 15px">
                                    <span style="font-weight: 600"><?php echo app('translator')->get('data.fetis'); ?></span>
                                    <span><?php echo e($row->fetis == 'manual' ? Lang::get('data.manual') : Lang::get('data.automatic')); ?></span>
                                </div>
                                <div class="col-md-4" style="margin-bottom: 15px">
                                    <span style="font-weight: 600"><?php echo app('translator')->get('data.double'); ?></span>
                                    <span><?php echo e($row->double == 'true' ? Lang::get('data.yes') : Lang::get('data.no')); ?></span>
                                </div>
                                <div class="col-md-4" style="margin-bottom: 15px">
                                    <span style="font-weight: 600"><?php echo app('translator')->get('data.fuel'); ?></span>
                                    <span>
                                    <?php if($row->fuel == 'gasoline'): ?>
                                            <?php echo app('translator')->get('data.gasoline'); ?>
                                        <?php elseif($row->fuel == 'hybrid'): ?>
                                            <?php echo app('translator')->get('data.hybrid'); ?>
                                        <?php else: ?>
                                            <?php echo app('translator')->get('data.diesel'); ?>
                                        <?php endif; ?>
                                </span>
                                </div>
                                <div class="col-md-4" style="margin-bottom: 15px">
                                    <span style="font-weight: 600"><?php echo app('translator')->get('data.km'); ?></span>
                                    <span><?php echo e($row->km); ?></span>
                                </div>
                            <?php endif; ?>
                            <?php if($row->determine_price == 'true'): ?>
                                <div class="col-md-4" style="margin-bottom: 15px">
                                    <span style="font-weight: 600"><?php echo app('translator')->get('data.price'); ?></span>
                                    <span><?php echo e($row->price); ?> <?php echo app('translator')->get('data.sar'); ?></span>
                                </div>
                            <?php endif; ?>
                        </div>
                        <div class="row item-info wow fadeInUp">
                            <div class="col-md-12 col-lg-6">
                                <ul class="list-unstyled white-bg">
                                    <li>
                                        <span class="icon">
                                            <img style="cursor: pointer" id="fav_image"
                                                 <?php if(\Auth::check() && \App\Models\Favourite::where(['user_id'=>\Auth::user()->id,'product_id'=>$row->id])->first()): ?>  src="<?php echo e(asset('web/img/dynamic/icons/red_heart.png')); ?>"
                                                 <?php else: ?> src="<?php echo e(asset('web/img/dynamic/icons/heart.png')); ?>"
                                                 <?php endif; ?> alt="icon"/>
                                        </span>
                                        <input hidden value="<?php echo e($row->id); ?>" id="row_id">
                                        <span
                                            class="total-count new_count"><?php echo e(\App\Models\Favourite::where('product_id',$row->id)->count()); ?></span>
                                    </li>
                                    <?php if(Auth::check() && $row->user->id != Auth::user()->id): ?>
                                        <li>
                                        <span class="icon">
                                            <img src="<?php echo e(asset('web/img/dynamic/icons/mail.png')); ?>" alt="icon"/>
                                        </span>
                                            <span class="total-count"><a
                                                    href="#" data-toggle="modal"
                                                    data-target="#message-modal"><?php echo app('translator')->get('data.message_now'); ?></a></span>
                                        </li>
                                        <li>
                                        <span class="icon">
                                            <img src="<?php echo e(asset('web/img/dynamic/icons/flag.png')); ?>" alt="icon"/>
                                        </span>
                                            <?php if(\App\Models\Spam::where(['user_id'=> Auth::user()->id, 'product_id'=>$row->id, 'type' => 'product'])->first()): ?>
                                                <span class="total-count"><?php echo app('translator')->get('data.reported'); ?></span>
                                            <?php else: ?>
                                                <span id="spam_in" onclick="spam('<?php echo e($row->id); ?>','product')"
                                                      style="cursor: pointer"
                                                      class="total-count"><?php echo app('translator')->get('data.report_product'); ?></span>
                                            <?php endif; ?>
                                        </li>
                                    <?php else: ?>
                                        <li>
                                        <span class="icon">
                                            <img src="<?php echo e(asset('web/img/dynamic/icons/mail.png')); ?>" alt="icon"/>
                                        </span>
                                            <span class="total-count"><a
                                                    href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('data.message_now'); ?></a></span>
                                        </li>
                                        <li>
                                        <span class="icon">
                                            <img src="<?php echo e(asset('web/img/dynamic/icons/flag.png')); ?>" alt="icon"/>
                                        </span>
                                            <a id="spam_in" href="<?php echo e(route('home')); ?>"
                                               style="cursor: pointer"
                                               class="total-count"><?php echo app('translator')->get('data.report_product'); ?></a>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                            </div>
                            <?php if($row->hide_mobile == 'false'): ?>
                                <div class="col-md-6 col-lg-3">
                                    <a href="https://api.whatsapp.com/send?phone=<?php echo e($row->mobile); ?>"
                                       class="contact-link whatsapp btn-hover" target="_blank">
                                        <img src="<?php echo e(asset('web/img/dynamic/icons/whatsapp.png')); ?>" alt="img"/>
                                        <?php echo app('translator')->get('data.call_whatsapp'); ?>
                                    </a>
                                </div>
                            <?php endif; ?>
                            <div class="col-md-6 col-lg-3">
                                <a href="https://twitter.com/share?url=<?php echo e(route('product.show',$row->code)); ?>&amp;text=<?php echo e($row->title); ?>&amp;hashtags=sawqna"
                                   class="contact-link twitter btn-hover" target="_blank">
                                    <img src="<?php echo e(asset('web/img/dynamic/icons/twitter.png')); ?>" alt="img"/>
                                    <?php echo app('translator')->get('data.twitter_call'); ?>
                                </a>
                            </div>
                        </div>
                        <div class="row item-info contact wow fadeInUp">
                            <h4 class="col-12 contact-title"><?php echo app('translator')->get('data.contact'); ?></h4>
                            <ul class="col-12 list-unstyled contact-list">
                                <?php if($row->hide_mobile == 'false'): ?>
                                    <li>
                                        <a href="tel:<?php echo e($row->mobile); ?>">
                                            <span class="icon"><i class="fas fa-phone"></i></span><?php echo e($row->mobile); ?>

                                        </a>
                                    </li>
                                    <li>
                                        <a href="tel:<?php echo e($row->user->mobile); ?>">
                                            <span class="icon"><i class="fas fa-phone"></i></span><?php echo e($row->user->mobile); ?>

                                        </a>
                                    </li>
                                <?php else: ?>
                                    <li>
                                        <a href="tel:<?php echo e($row->user->mobile); ?>">
                                            <span class="icon"><i class="fas fa-phone"></i></span><?php echo e($row->user->mobile); ?>

                                        </a>
                                    </li>
                                <?php endif; ?>
                            </ul>
                        </div>
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        
                        <div class="row item-info comments wow fadeInUp">
                            <h4 class="col-6 contact-title"><?php echo app('translator')->get('data.comments'); ?></h4>
                            <?php if(\Auth::check()): ?>
                                <h4 style="cursor:pointer ;" id="follow_comments"
                                    class="col-6 contact-title main-color">
                                    <img src="<?php echo e(asset('web/img/dynamic/icons/follow.png')); ?>" alt="follow img"/>
                                    <div id="follow_status">
                                        <?php if(isset($follow_status) && $follow_status == 'false'): ?>



                                            <?php echo app('translator')->get('data.follow_comments'); ?>
                                        <?php else: ?>
                                            <?php echo app('translator')->get('data.unfollow_comments'); ?>
                                        <?php endif; ?>
                                    </div>
                                </h4>
                                <div class="clearfix"></div>
                            <?php endif; ?>
                            <?php if(Auth::check() && $row->stop_comments == 'open'): ?>

                                <div class="form-group col-md-12">
                                        <textarea style="width: 100%" name="comment" class="form-control"
                                                  placeholder="<?php echo app('translator')->get('data.write_comment'); ?>"></textarea>
                                    <button onclick="add_comment(<?php echo e($row->id); ?>)" type="submit"
                                            class="btn btn-transparent btn-send">
                                        <img src="<?php echo e(asset('web/img/dynamic/icons/send.png')); ?>" alt="send"/>
                                    </button>
                                </div>
                            <?php endif; ?>
                            <div class="col-12 comments-block">
                                <ul id="comment-in" class="list-unstyled">
                                    <?php $__currentLoopData = $row->comments()->orderByDesc('id')->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="media">
                                            <img
                                                src="<?php echo e($comment->user->image ? asset('images/users/'.$comment->user->image) : asset('web/img/dynamic/icons/user.png')); ?>"
                                                class="owner-avatar"
                                                alt="owner"/>
                                            <div class="media-body">
                                                <div class="head-info">
                                                    <h5 class="com-owner"><?php echo e($comment->user->name ? $comment->user->name : $comment->user->email); ?></h5>
                                                    <p class="time">
                                                    <span class="icon">
                                                        <i class="fas fa-clock"></i>
                                                    </span>
                                                        <?php echo e(\Carbon\Carbon::parse($comment->created_at)->diffForHumans()); ?>

                                                    </p>
                                                </div>
                                                <p class="w-border">
                                                    <?php echo e($comment->body); ?>

                                                </p>
                                                <p>
                                                <span class="reply">
                                                    <span class="icon"><img
                                                            src="<?php echo e(asset('web/img/dynamic/icons/flag-blue.png')); ?>"
                                                            alt="report"/></span>
                                                    <?php if(Auth::check()): ?>
                                                        <?php if(\App\Models\Spam::where(['user_id'=> Auth::user()->id, 'product_id'=>$row->id, 'type' => 'comment', 'comment_id' => $comment->id])->first()): ?>
                                                            <span class="text"><?php echo app('translator')->get('data.reported'); ?></span>
                                                        <?php else: ?>
                                                            <span id="comment_in"
                                                                  onclick="spam('<?php echo e($row->id); ?>','comment', '<?php echo e($comment->id); ?>')"
                                                                  class="text"><?php echo app('translator')->get('data.report'); ?></span>
                                                        <?php endif; ?>
                                                    <?php else: ?>
                                                        <a href="<?php echo e(route('home')); ?>" id="comment_in"
                                                           class="text">ابلاغ</a>
                                                    <?php endif; ?>
                                                </span>
                                                </p>

                                            </div>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 col-md-4 filter-block">
                    <div class="row side-items main-content grey-bg">
                        <h4 class="col-12 title wow fadeInDown"><?php echo app('translator')->get('data.similar_products'); ?></h4>

                        <?php $__currentLoopData = $similar_products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-12 grid-cols flex-column wow fadeInUp">
                                <div class="card sm">
                                    <div class="card-img-top">
                                        <img
                                            src="<?php echo e((count($item->images) > 0) ? $item->images[0]['image'] : $setting->site_logo); ?>"
                                            class=" img-fluid" alt="product img"/>
                                        <div class="card-caption">
                                            <div class="inner-caption">
                                                <ul class="list-unstyled list-inline">
                                                    <li class="icon eye">
                                                        <a href="<?php echo e(route('product.show', $item->code)); ?>"
                                                           title="<?php echo app('translator')->get('data.see_product'); ?>"><i
                                                                class="fa fa-eye"></i>
                                                        </a>
                                                    </li>
                                                    <?php if(\Auth::check()): ?>
                                                        <li onclick="favourite(<?php echo e($item->id); ?>)"
                                                            class="icon fav <?php echo e(\App\Models\Favourite::where(['user_id' => Auth::user()->id, 'product_id' => $item->id])->first() ? 'liked' : ''); ?>">
                                                    <span title="<?php echo e(trans('data.add_to_favourite')); ?>"><i
                                                            class="fa fa-heart"></i>
                                                    </span>
                                                        </li>
                                                    <?php endif; ?>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <h5 class="card-title">
                                            <a href="<?php echo e(route('product.show', $item->code)); ?>"><?php echo e($item->title); ?></a>
                                        </h5>
                                        <p class="locate">
                                            <span class="icon"><i class="fas fa-map-marker-alt"></i></span>
                                            <?php echo e($item->city->name[App::getLocale()]); ?>

                                        </p>
                                        <div class="bottom">
                                            <p class="owner">
                                                <span class="icon"><i class="fas fa-user"></i></span>
                                                <a href="<?php echo e(route('user_profile',$item->user->mobile)); ?>">

                                                    <?php echo e($item->user->name ? $item->user->name : $item->user->email); ?>

                                                    &nbsp;
                                                </a>
                                            </p>

                                            <p class="time">
                                            <span class="icon">
                                                <i class="fas fa-clock"></i>
                                            </span>
                                                <?php echo e(\Carbon\Carbon::parse($item->created_at)->diffForHumans()); ?>

                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- end brands  -->
    <input type="hidden" value="<?php echo e($row->code); ?>" id="product_code">

<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>

    <script>
        $("#follow_comments").on('click', function () {
            var product_code = $("#product_code").val();

            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('follow_product')); ?>',
                data: {product_code: product_code},
                success: function (data) {
                    console.log(data);
                    console.log(data.follow_status);
                    if (data.value == true) {
                        Swal.fire({
                            title: '<?php echo e(trans('data.success')); ?>',
                            text: data.msg,
                            icon: 'success',
                            confirmButtonText: '<?php echo e(trans('data.done')); ?>'
                        });

                        $("#follow_status").html(" ");
                        $("#follow_status").html(data.follow_status);

                    } else {
                        Swal.fire({
                            title: '<?php echo e(trans('data.error')); ?>',
                            text: data.msg,
                            icon: 'error',
                            confirmButtonText: '<?php echo e(trans('data.close')); ?>'
                        });
                    }

                }
            });


        });
        $("#refresh_product").on('click', function () {
            var product_code = $("#product_code").val();
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('refresh_product')); ?>',
                data: {product_code: product_code},
                success: function (data) {
                    console.log(data);
                    if (data.value == true) {
                        Swal.fire({
                            title: '<?php echo e(trans('data.success')); ?>',
                            text: data.msg,
                            icon: 'success',
                            confirmButtonText: '<?php echo e(trans('data.done')); ?>'
                        });


                    } else {
                        Swal.fire({
                            title: '<?php echo e(trans('data.error')); ?>',
                            text: data.msg,
                            icon: 'error',
                            confirmButtonText: '<?php echo e(trans('data.close')); ?>'
                        });
                    }

                }
            });
        });

        function add_comment(id) {

            var comment = $("textarea[name=comment]").val();
            console.log(id, comment);
            $.ajax({
                type: 'POST',
                url: '<?php echo e(route('add_comment_web')); ?>',
                data: {product_id: id, comment: comment},
                success: function (data) {
                    console.log(data);
                    if (data.value == true) {
                        Swal.fire({
                            title: '<?php echo e(trans('data.success')); ?>',
                            text: data.msg,
                            icon: 'success',
                            confirmButtonText: '<?php echo e(trans('data.done')); ?>'
                        });
                        $("textarea[name=comment]").val('');

                        if (data.data.user_image) {
                            var image = "<?php echo e(asset('images/users/')); ?>/" + data.data.user_image + "";
                        } else {
                            var image = "<?php echo e(asset('web/img/dynamic/icons/user.png')); ?>";
                        }

                        $("#comment-in").prepend("    <li class=\"media\">\n" +
                            "        <img src=\" " + image + "\" class=\"owner-avatar\" alt=\"owner\" />\n" +
                            "        <div class=\"media-body\">\n" +
                            "            <div class=\"head-info\">\n" +
                            "                <h5 class=\"com-owner\">" + data.data.user_name + "</h5>\n" +
                            "                <p class=\"time\">\n" +
                            "                                                    <span class=\"icon\">\n" +
                            "                                                        <i class=\"fas fa-clock\"></i>\n" +
                            "                                                    </span>\n" +
                            "" + data.data.ago + "" +
                            "                </p>\n" +
                            "            </div>\n" +
                            "            <p class=\"w-border\">\n" +
                            "" + data.data.body + "" +
                            "            </p>\n" +
                            "            <p>\n" +
                            "                                                <span class=\"reply add-reply\">\n" +
                            "                                                    <span class=\"icon\"><img src=\"<?php echo e(asset('web/img/dynamic/icons/flag-blue.png')); ?>\"\n" +
                            "                                                                            alt=\"reload\" /></span>\n" +
                            "\n" +
                            "                                                    <span class=\"text\"><?php echo e(trans('data.report')); ?></span>\n" +
                            "                                                </span>\n" +
                            "            </p>\n"
                        );
                    } else {
                        Swal.fire({
                            title: '<?php echo e(trans('data.error')); ?>',
                            text: data.msg,
                            icon: 'error',
                            confirmButtonText: '<?php echo e(trans('data.close')); ?>'
                        });
                    }

                }
            });
        }


        function spam(product_id, type, comment_id = null) {

            console.log(product_id, type, comment_id);

            $.ajax({
                type: 'POST',
                url: '<?php echo e(route('spam_web')); ?>',
                data: {product_id: product_id, type: type, comment_id: comment_id},
                success: function (data) {
                    console.log(data);
                    Swal.fire({
                        title: '<?php echo e(trans('data.success')); ?>',
                        text: data.msg,
                        icon: 'success',
                        confirmButtonText: '<?php echo e(trans('data.done')); ?>'
                    });

                    if (comment_id == null) {
                        $("#spam_in").html('<?php echo e(trans('data.reported')); ?>')
                    } else {

                    }
                    $("#comment_in").html('<?php echo e(trans('data.reported')); ?>')
                }
            });
        }

        $("#fav_image").on('click', function () {
            var row_id = $("#row_id").val();
            console.log(row_id);
            $.ajax({
                type: 'GET',
                url: '<?php echo e(route('fav_product')); ?>',
                data: {row_id: row_id},
                success: function (data) {
                    console.log(data);

                    if (data.value == true) {
                        Swal.fire({
                            title: '<?php echo e(trans('data.success')); ?>',
                            text: data.msg,
                            icon: 'success',
                            confirmButtonText: '<?php echo e(trans('data.done')); ?>'
                        });

                        $(".new_count").html("");
                        $(".new_count").html(data.new_count);
                        $("#fav_image").attr('src', data.url);


                    } else {
                        Swal.fire({
                            title: '<?php echo e(trans('data.error')); ?>',
                            text: data.msg,
                            icon: 'error',
                            confirmButtonText: '<?php echo e(trans('data.close')); ?>'
                        });
                    }

                }
            });
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('web.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/knooz/resources/views/web/products/show.blade.php ENDPATH**/ ?>